Ask Your Question
0

UWSim, Ubuntu 12.04, ros-fuerte installation problem

asked 2012-10-09 05:25:44 -0500

George P gravatar image

Hello,

I am trying to install UWSim in Ubuntu 12.04 with fuerte installed. I checked out the repository from here

svn checkout http://uji-ros-pkg.googlecode.com/svn/trunk/underwater_simulation underwater_simulation

I then run:

rosdep install UWSim

The outcome of this is:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
UWSim: No definition of [libopenscenegraph] for OS version [precise]

I have tried several things but nothing seems to work. I even installed libopenscenegraph (and dependencies) from the synaptic but nothing.

When I had a look at the rosdep.yaml file there was no reference to the precise distro (the latest was oneiric). Still despite the fact that I added it myself nothing changed. Any ideas on what is going on?

Thank you in advance for your reply.

P.S I also tried Ubuntu 10.04 and electric and it worked just fine. (The simulator is up and running) But I need 12.04 and fuerte.

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
3

answered 2012-10-10 00:46:40 -0500

Mario Prats gravatar image

Hi, the rosdep rule for libopenscenegraph under precise was missing (we are still in oneiric). I've checked that someone just added it, so you shouldn't get this error now (after doing a 'rosdep update').

edit flag offensive delete link more

Comments

Thank you very much for your reply I got it working

George P gravatar imageGeorge P ( 2012-10-11 00:16:47 -0500 )edit
0

answered 2012-10-09 05:44:52 -0500

joq gravatar image

Fuerte uses the new rosdep2 implementation. All rosdeps are now kept in a central github repository. See: REP 125 for more details.

edit flag offensive delete link more

Comments

Thank you very much for your reply

George P gravatar imageGeorge P ( 2012-10-11 00:17:01 -0500 )edit
-1

answered 2014-04-25 15:58:37 -0500

I tried to install UWSIM on Ubuntu 13.04, I installed ROS, then, in Terminal, I used the command "apt-get install ros-groovy-uwsim" but it's fail, the outcome of this is: "E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied) E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?" Can you help me, please?

edit flag offensive delete link more

Comments

1

This space is for providing answers to George P's question. You should start a new question, rather than asking your question as an answer to an old question.

duffany1 gravatar imageduffany1 ( 2014-04-25 20:37:47 -0500 )edit

As duffany1 said you should ask this in a new question. Anyway I'll answer here as I think it's a simple question. The outcome is asking you for the permissions, use "sudo apt-get install ros-groovy-uwsim"

Javier Perez gravatar imageJavier Perez ( 2014-04-28 21:44:44 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-10-09 05:25:44 -0500

Seen: 390 times

Last updated: Apr 25 '14